Subject: Re: eating sulphur shelf

From: [email-masked] (David Bartolotta)
Date: Sun, 03 Nov 1996 17:55:22 GMT

I've had Sulfer Shelf baked in various ways,  flavored with Marsala
(yum) or any other soothing liquid.  However one of the best ways I've
cooked it is in a "Chicken of the Woods Pot Pie".  Use any very good
old country recipe and replace the chicken (egg laying type) with the
Chicken (shelf type).  It's great in taste and texture, and nice to
have for your veggie friends.  The regular omnivores won't miss the
bird at all.

Try it, you'll like it!!

David 

[email-masked] (Linda Moscarella) wrote:

>Sulphur shelf, sometimes called chicken of the woods is delicious when 
>fresh.  The outer inch or two is the best eating.  The closer you get to 
>the core the stronger and more metalic the taste.  After freezing, the 
>texture will be mushy, so a stew is the only thing you can do with it.  
>If you find a fresh one next year, cut off the outside and saute it in 
>butter.  Cover pan and cook until the juices run and begin to absorb.